gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType For internal use only. Do not use. GTK+ allows style properties to be attached to styles. Because style properties can be loaded in from configuration files, theme authors can change the look and feel of the UI without writing their own theme engine code.
- Method
  2.12.0.0
  Gtk.RcProperty `` An object of type 'IntPtr', a pointer to the underlying C object. Constructor for internal use. A new . Intended only for internal use; not for general developer use.
- Field
  2.12.0.0
  System.String The origin/source of the property. Should be "filename:linenumber" for RC files, or something like "XProperty" for other sources.
- Method
  2.12.0.0
  System.Boolean `` `` `` a a a Internal. Do not use. a
- Method
  2.12.0.0
  System.Boolean `` `` `` a a a Internal. Do not use. a
- Method
  2.12.0.0
  System.Boolean `` `` `` a a a Internal. Do not use. a
- Method
  2.12.0.0
  System.Boolean `` `` `` a a a Internal. Do not use. a
- Method
  2.12.0.0
  System.Boolean `` `` `` a a a a
- Field
  2.12.0.0
  System.Int32 The name of the property.
- Field
  2.12.0.0
  System.Int32 The type of this property.
- Field
  2.12.0.0
  GLib.Value The value of the property.
- Field
  2.12.0.0
  Gtk.RcProperty Initialize a new, empty object.